Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001082Frama-CKernel > Makefilepublic2012-02-06 14:482014-02-12 16:58
ReporterAnne 
Assigned Tosignoles 
PrioritynormalSeveritytrivialReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001082: Bad links in generated documentation modules.svg
DescriptionThere is an error in [share/Makefile.common] in the rule .dot -> .svg
that makes the links incorrect in the generated SVG.

Solution in line 275:
     $(ISED) -e "s/\(digraph .*\)/\1 node [href=\"\\N.html\"];/" $<
should be transformed into:
     $(ISED) -e "s/\(digraph .*\)/\1 node [href=\"\\\\N.html\"];/" $<
in order to write "\N.html" instead of "N.html" in the dot file.
                                              
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004683)
signoles (manager)
2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-02-06 14:48 Anne New Issue
2012-02-06 14:48 Anne Status new => assigned
2012-02-06 14:48 Anne Assigned To => signoles
2012-02-07 10:47 svn Checkin
2012-02-07 10:47 svn Status assigned => resolved
2012-02-07 10:47 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:58 signoles Note Added: 0004683
2014-02-12 16:58 signoles Status closed => resolved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker